# Hooks in configuration files

The hook extension in the ALSA library allows expansion of configuration nodes at run-time. The existence of a hook is determined by the presence of a @hooks compound node.

This example defines a hook which loads two configuration files at the beginning:

    @hooks [
            {
                    func load
                    files [
                            "/etc/asound.conf"
                            "~/.asoundrc"
                    ]
                    errors false
            }
    ]

## Function reference

- The function load - `snd_config_hook_load()` - loads and parses the given configuration files.
- The function load_for_all_cards - `snd_config_hook_load_for_all_cards()` - loads and parses the given configuration files for each installed sound card. The driver name (the type of the sound card) is passed in the private configuration node.

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines